# Workbench configuration file

#
# Main Window Title
#
mainwindow.title=S2P 1.1.1

#
# Status Bar visibility
#
mainwindow.statusbar.visible=false

#
# Status Bar Text
#
mainwindow.statusbar.text=S2P

#
# Menu Bar visibility
#
mainwindow.menubar.visible=true

#
# Menu Bar add '...' to operation names
#
mainwindow.menubar.names_append_suspension_points=false

#
# Document Viewer. Allways show the default viewer, regardless there is a specific viewer also defined. Default is false
#
documentviewer.allways_show_default_view=false

#
# Document Viewer. Hide tabs when there is only one view for the current datatype.
#
documentviewer.hide_tabs_when_single_view=true

#
# Document Viewer. Show a popup menu that allows to close tabs.
#
documentviewer.show_close_tabs_menu=true

#
# Default View. Use a table to display arrays and collections instead of the toString text area
#
defaultview.use_table_for_collections_and_arrays=false

#
# Session Tree visibility
#
sessiontree.visible=false

#
# Session Tree slot in the layouting system. Please see also /conf/template.xml
#
sessiontree.slot=left

#
# Session Tree name
#
sessiontree.name=Session

#
# Clipboard Tree visibility
#
clipboardtree.visible=true


#
# Clipboard Tree slot in the layouting system. Please see also /conf/template.xml
#
clipboardtree.slot=left

#
# Clipboard Tree name
#
clipboardtree.name=Clipboard

#
# Clipboard Tree organizes datatypes instances by their class
#
#clipboardtree.organizebyclass=false

#
# Tree null treatment. In Explicit-datatypes and with Structure=COMPLEX, should subitems should be displayed or not in trees?.
# Default is true
#
#trees.shownulls=false

#
# Log Area visibility
#
logarea.visible=false
#
# Log Area max chars
# Default: -1 (no limit, caution)
#
logarea.maxsize=10000

#
# Log Area slot in the layouting system. Please see also /conf/template.xml
#
logarea.slot=bottom

#
# Memory Monitor visibility
#
memorymonitor.visible=false

#
# Memory Monitor slot in the layouting system. Please see also /conf/template.xml
#
memorymonitor.slot=bottom

#
# ToolBar visibility
#
toolbar.visible=true

#
# ToolBar names visibility
#
toolbar.showOperationNames=true

#
# ToolBar initial position
# position values are NORTH | SOUTH | EAST | WEST
#
toolbar.position=NORTH

#
# ToolBar separators
#
# Define where the separators are shown
# they will be placed after the operation that appears in that relative order in the toolbar
# Separated by commas (,)
#
toolbar.separators=1,2

#
# Operations visibility. By default, all operations are displayed everywhere (main menu, popup menu and dialogs). But if
# you want to change this behaviour, use this option.
# 
# The current available options are (you can put more than one, separated with spaces)
#  MENU - the operation can be accessed from the main menu
#  POPUP - the operation can be accessed from the popup menu showed in the trees
#  DIALOG - the operation can be accessed from dialogs 
#  TOOLBAR - the operation can be accessed from the toolbar
#  NONE - the operation is hidden in the GUI
# your_operation_uid.visibility= POPUP DIALOG MENU TOOLBAR


#Menu position overriding
#All plugins can choose an arbitrary position of their operations in menus. If you want to choose them
#you can override this default position
#example:
#menu.file=1
#menu.file.export=2

# Override the default icons. The files are relative to the AIBench's root directory

#icon.clipboard = clipboard.gif
icon.datatype = conf/resources/datatype.png

# Show help icons+tooltip instead of description label
paramswindow.showhelpicon = true

# Custom help icon
paramswindow.helpicon = conf/resources/helpicon.png

# Dialog buttons customization
#  Ok button label and text
paramswindow.buttontext.ok = Ok
paramswindow.buttonicon.ok = conf/resources/ok.png

#  Cancel button label and text
paramswindow.buttontext.cancel = Cancel
paramswindow.buttonicon.cancel = conf/resources/cancel.png

#  Help button label and text
paramswindow.buttontext.help = Help
paramswindow.buttonicon.help = conf/resources/help.png
